| Package | Description |
|---|---|
| org.apache.camel.builder.endpoint | |
| org.apache.camel.builder.endpoint.dsl |
| Modifier and Type | Method and Description |
|---|---|
static GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
StaticEndpointBuilders.googleFunctions(String path)
GoogleCloudFunctions (camel-google-functions)
Manage and invoke Google Cloud Functions
Category: cloud
Since: 3.9
Maven coordinates: org.apache.camel:camel-google-functions
Syntax:
google-functions:functionName
Path parameter: functionName (required)
The user-defined name of the function |
static GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
StaticEndpointBuilders.googleFunctions(String componentName,
String path)
GoogleCloudFunctions (camel-google-functions)
Manage and invoke Google Cloud Functions
Category: cloud
Since: 3.9
Maven coordinates: org.apache.camel:camel-google-functions
Syntax:
google-functions:functionName
Path parameter: functionName (required)
The user-defined name of the function |
| Modifier and Type | Method and Description |
|---|---|
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.AdvancedGoogleCloudFunctionsEndpointBuilder.basic() |
static GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.endpointBuilder(String componentName,
String path) |
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsBuilders.googleFunctions(String path)
GoogleCloudFunctions (camel-google-functions)
Manage and invoke Google Cloud Functions
Category: cloud
Since: 3.9
Maven coordinates: org.apache.camel:camel-google-functions
Syntax:
google-functions:functionName
Path parameter: functionName (required)
The user-defined name of the function |
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsBuilders.googleFunctions(String componentName,
String path)
GoogleCloudFunctions (camel-google-functions)
Manage and invoke Google Cloud Functions
Category: cloud
Since: 3.9
Maven coordinates: org.apache.camel:camel-google-functions
Syntax:
google-functions:functionName
Path parameter: functionName (required)
The user-defined name of the function |
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder.lazyStartProducer(boolean lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder.lazyStartProducer(String lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder.location(String location)
The Google Cloud Location (Region) where the Function is located.
|
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder.operation(GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsOperations operation)
The operation to perform on the producer.
|
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder.operation(String operation)
The operation to perform on the producer.
|
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder.pojoRequest(boolean pojoRequest)
Specifies if the request is a pojo request.
|
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder.pojoRequest(String pojoRequest)
Specifies if the request is a pojo request.
|
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder.project(String project)
The Google Cloud Project name where the Function is located.
|
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder.serviceAccountKey(String serviceAccountKey)
Service account key to authenticate an application as a service
account.
|
Apache Camel